MavenArtifactRepository (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.api.artifacts.repositories

## [Java] Interface MavenArtifactRepository

- org.gradle.api.artifacts.repositories.MavenArtifactRepository

- All Superinterfaces:
    ArtifactRepository, AuthenticationSupported

  An artifact repository which uses a Maven format to store artifacts and meta-data.

  Repositories of this type are created by the RepositoryHandler.maven group of methods.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `artifactUrls(Object... urls)` Adds some additional URLs to use to find artifact files.
    `Set<URI>` | `getArtifactUrls()` Returns the additional URLs to use to find artifact files.
    `URI` | `getUrl()` The base URL of this repository.
    `void` | `setArtifactUrls(Iterable<?> urls)` Sets the additional URLs to use to find artifact files.
    `void` | `setUrl(Object url)` Sets the base URL of this repository.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ArtifactRepository` | `getName, setName`
    `interface AuthenticationSupported` | `authentication, credentials, credentials, getAuthentication, getCredentials, getCredentials`

- - ### Method Detail

    - #### public void artifactUrls(Object... urls)

      Adds some additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

      The provided values are evaluated as per Project.uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

      Parameters:
        `urls` - The URLs to add.

    - #### public Set<URI> getArtifactUrls()

      Returns the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

      Returns:
        The additional URLs. Returns an empty list if there are no such URLs.

    - #### public URI getUrl()

      The base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using setArtifactUrls(Iterable).

      Returns:
        The URL.

    - #### public void setArtifactUrls(Iterable<?> urls)

      Sets the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

      The provided values are evaluated as per Project.uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

      Parameters:
        `urls` - The URLs.

    - #### public void setUrl(Object url)

      Sets the base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using setArtifactUrls(Iterable).

      The provided value is evaluated as per Project.uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

      Parameters:
        `url` - The base URL.